#!/usr/bin/env python
import coral

S = coral.Project.getProjectByFilename("tmp.xml")
S_refs = S.get_ref_count()
S = coral.Project.getProjectByFilename("tmp.xml")
assert S.get_ref_count() == S_refs

L = coral.Language.__getLanguage__("UML", 1, 4)
L_refs = L.get_ref_count()
L = coral.Language.__getLanguage__("UML", 1, 4)
assert L.get_ref_count() == L_refs
